# @(#) $Id: ifsgr.spec.in,v 1.2 2004/05/13 18:32:25 yeti Exp $
%define pkgname ifsgr
%define libname lib%{pkgname}
%define soname %{libname}3

Summary: Iterated Functions Systems grayscale renderer
Name: %{pkgname}
Version: 1.0
Release: 1
License: GPL
Group: Applications/Graphics
BuildRequires: make, sed, libtool
URL: http://trific.ath.cx/software/ifsgr/
Source: http://trific.ath.cx/Ftp/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Iterated Functions Systems grayscale renderer

%package -n %{soname}
Summary: IFSgr library
Group: System Environment/Libraries
Provides: libifsgr

%description -n %{soname}
Iterated Functions Systems grayscale renderer library.

%package -n %{libname}-devel
Summary: IFSgr library -- development files
Group: System Environment/Libraries
Requires: %{soname} = %{version}
Provides: libifsgr-devel

%description -n %{libname}-devel
Iterated Functions Systems grayscale renderer library development files.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%__make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%post -n %{soname} -p /sbin/ldconfig

%postun -n %{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING AUTHORS NEWS README TODO ifs/Yeti.ifs ifs/Snowflake.ifs
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{soname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%doc %{_datadir}/gtk-doc/html/%{libname}/*
%doc %dir %{_datadir}/gtk-doc/html/%{libname}
%doc %dir %{_datadir}/gtk-doc/html
%doc %dir %{_datadir}/gtk-doc

